
QGIS Application - Bug report #21872

QGIS 3.7 did not start because an error message

2019-04-17 11:49 AM - Torsten Hase

Status: Closed

Priority: Normal

Assignee:

Category: Python bindings / sipify

Affected QGIS version:3.7(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29687

Description

QGIS does not start properly and gives following error message:

Fehler bei der Ausführung folgenden Codes:

qgis.utils.updateAvailablePlugins()

Traceback (most recent call last):

  File "", line 1, in 

RuntimeError: lost sys.stdout

Python-Version:

3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)]

QGIS-Version:

3.7.0-Master 'Master', 9ce1093bce

Python-Pfad:

['E:/Programme/osgeo4w/apps/qgis-dev/./python', 'C:/Users/Torsten/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python',

'C:/Users/Torsten/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python/plugins',

'E:/Programme/osgeo4w/apps/qgis-dev/./python/plugins', 'E:\\Programme\\osgeo4w\\bin\\python37.zip',

'E:\\Programme\\osgeo4w\\apps\\Python37\\DLLs', 'E:\\Programme\\osgeo4w\\apps\\Python37\\lib',

'E:\\Programme\\osgeo4w\\bin', 'E:\\Programme\\osgeo4w\\apps\\Python37',

'E:\\Programme\\osgeo4w\\apps\\Python37\\lib\\site-packages',

'E:\\Programme\\osgeo4w\\apps\\Python37\\lib\\site-packages\\win32',

'E:\\Programme\\osgeo4w\\apps\\Python37\\lib\\site-packages\\win32\\lib',

'E:\\Programme\\osgeo4w\\apps\\Python37\\lib\\site-packages\\Pythonwin',

'C:/Users/Torsten/AppData/Roaming/QGIS/QGIS3\\profiles\\default/python']

Associated revisions

Revision 3d7c711d - 2019-04-17 10:30 PM - Jürgen Fischer

fix #21872 (refs #21774; partly reverts e57d1e06f0 and 507e327c0c)

src/python/qgspythonutilsimpl.cpp:596 produces "lost sys.stdout" when

qgis.utils.updateAvailablePlugins() returns.

Revision 40c790f5 - 2019-04-17 11:56 PM - Jürgen Fischer
fix 3d7c711db (refs #21872)

History

#1 - 2019-04-17 09:43 PM - Borys Jurgiel

- Operating System set to Windows

- Assignee deleted (Borys Jurgiel)

- Category changed from Plugin Manager to Python bindings / sipify

#2 - 2019-04-17 10:13 PM - Jürgen Fischer

- Assignee set to Alessandro Pasotti

Duplicate of #21774 - apparently reintroduced by commit:e57d1e06f0 and/or commit:507e327c0c

#3 - 2019-04-17 11:59 PM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|3d7c711db087a9ea515f0fba8e8b0abf4eb50761.

#4 - 2019-04-18 12:00 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Description updated

- Assignee deleted (Alessandro Pasotti)
